<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: StatisticsTracker.php 1239 2005-01-17 17:39:11Z andrew $
*/

/**
 * @package    MaxMaintenance
 * @subpackage Statistics
 * @author     Andrew Hill <andrew@awarez.net>
 */

require_once maintenancePath . '/maintenance-common.php';
require_once maintenancePath . '/libraries/max/Dal/Statistics.php';
require_once maintenancePath . '/libraries/max/Maintenance/StatisticsCommon.php';

/**
 * A class for summarising raw data into the various statistics that Max needs
 * for the Tracker module.
 */
class Maintenance_Statistics_Tracker extends Maintenance_Statistics_Common 
{

    /**
     * The constructor method.
     *
     * @param Date $now Optional Date representing the current date/time. Normally
     *                  just used for testing the class constructor, or for 
     *                  faking the current time in order to re-generate past statistics,
     *                  in the case of faulty raw data tables.
     * @param Date $lastUpdated Optional Date representing the date/time the
     *                          statistics were last updated. Only used when
     *                          regenerating statistics.
     */
    function Maintenance_Statistics_Tracker($now = null, $lastUpdated = null)
    {
        $this->module = 'Tracker';
        parent::Maintenance_Statistics_Common($now, $lastUpdated);
    }
    
}

?>
