<?php
/**
 * @package    MaxDelivery
 * @subpackage TestSuite
 * @author     James Floyd <james@awarez.net>
 *
 * @TODO add header tests when simpletest is updated to the new version (1.0RC2)
 */

/**
 * parent class for testing tracker related scripts
 * should be extended
 */
class Delivery_Test_Tracker extends WebTestCase
{
    
    /**
     * The constructor method.
     */
    function Delivery_TestOfLog()
    {        
        $this->WebTestCase();
    }
    
    /* */
    function testImpressionLog($url) {
        // Get last impression id
        $sql = 'SELECT server_raw_tracker_impression_id
                FROM data_raw_tracker_impression
                ORDER BY server_raw_tracker_impression_id DESC
                LIMIT 1';
        
        if ($dbLink = connect()) {
            $result = query($sql, $dbLink);
            $row = mysql_fetch_array($result, MYSQL_ASSOC);
            $impression1 = $row['server_raw_tracker_impression_id'];
        }
        else {
            $this->assertFalse(true, 'DB connection could not be made');
        }
        
        $this->createBrowser();
        $this->get($url);
        
        // lookup new impressionId
        $sql = 'SELECT server_raw_tracker_impression_id
                FROM data_raw_tracker_impression
                ORDER BY server_raw_tracker_impression_id DESC
                LIMIT 1';
        
        if ($dbLink = connect()) {
            $result = query($sql, $dbLink);
            $row = mysql_fetch_array($result, MYSQL_ASSOC);
            $impression2 = $row['server_raw_tracker_impression_id'];
        }
        else {
            $this->assertFalse(true, 'DB connection could not be made');
        }
        
        // check that impressionId has been incremented for given URL
        $this->assertTrue(($impression1 + 1) == ($impression2));
    }
}

?>
